Netbeans 9 + Java EE

Nativamente Apache Netbeans 9 no trae soporte para Java EE.

La solución es agregar a los repositorios el del viejo Netbeans (8.2).

http://updates.netbeans.org/netbeans/updates/8.2/uc/final/distribution/catalog.xml.gz

Esa dirección se agrega en Tools -> Plugins -> Settings -> Add